summaryrefslogtreecommitdiff
path: root/debian/fake-config
diff options
context:
space:
mode:
Diffstat (limited to 'debian/fake-config')
-rwxr-xr-xdebian/fake-config18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/fake-config b/debian/fake-config
new file mode 100755
index 0000000..bfbbb44
--- /dev/null
+++ b/debian/fake-config
@@ -0,0 +1,18 @@
+#!/bin/sh
+# copy Config.pm from the first argument to a temporary directory
+# then run the rest with that prepended to @INC
+
+# better ideas welcome...
+
+set -e
+
+T=$(mktemp -d)
+d="$1"
+shift
+cp "$d/Config.pm" "$d/Config_heavy.pl" "$T"
+p="$1"
+shift
+status=0
+"$p" "-I$T" "$@" || status=$?
+rm -rf "$T"
+exit $status